Skip to main content
PATCH
cURL
Changing contact_status to a new value also records it in the contact custom field api_status, which is created in the workspace the first time a status is changed through the API. A status that doesn’t change writes nothing. See Status Source Fields.

Authorizations

X-API-KEY
string
header
required

Path Parameters

contact_id
integer
required

Query Parameters

structure
enum<string>
default:NESTED

Format of custom fields in response. NESTED returns array of objects with id, field_name, field_value. FLAT returns object with field names as keys.

Available options:
FLAT,
NESTED

Body

email
string
linkedin_url
string
phone
string
first_name
string
last_name
string
job_title
string | null
company_id
integer | null
origin
string
contact_status
string
contact_custom_fields
object[]

Response

id
integer
required
read-only
updated_time
string<date-time>
required
read-only
first_name
string
required
last_name
string
required
origin
string
required
first_campaign_email_sent
string<date-time> | null
required
read-only
last_campaign_email_sent
string<date-time> | null
required
read-only
last_reply_received
string<date-time> | null
required
read-only
previous_status
string | null
required
read-only
status_changed_at
string<date-time> | null
required
read-only
email_status
string | null
required
read-only
email_statuses
object[]
required
read-only
email
string
linkedin_url
string
phone
string
job_title
string | null
company_id
integer
contact_custom_fields
object[]
contact_status
string